Name:    c3p0
Version: 0.9.2.1
Release: %mkrel 2
Summary: JDBC DataSources/Resource Pools
License: LGPLv2 or EPL
URL:     https://github.com/swaldman/c3p0
Group:   Development/Java

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: java-javadoc >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: ant
BuildRequires: mchange-commons 

Requires: java
Requires: mchange-commons 
Requires: jpackage-utils

Source0: https://github.com/swaldman/%{name}/archive/%{name}-%{version}-final.tar.gz

# Patch to build on java 1.6
Patch0: %{name}-build-on-1.6.patch

# Patch to build on java 1.7 (intentionally kept separate from above)
Patch1: %{name}-build-on-1.7.patch

BuildArch: noarch

%description
c3p0 is an easy-to-use library for augmenting traditional JDBC drivers with
JNDI-bindable DataSources, including DataSources that implement Connection
and Statement Pooling, as described by the jdbc3 spec and jdbc2 standard
extension.

%package  javadoc
Summary:  API documentation for %{name}
Group:    Documentation
Requires: jpackage-utils

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{name}-%{version}-final

%patch0 -p1 -b .java6
%patch1 -p1 -b .java7

# remove all binary bits
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

# remove manifest classpath
sed -i.bak -e "s/<attribute\ name=\"Class-Path\"\ value=\"\${mchange-commons-java\.jar\.file\.name}\"\ \/>//" build.xml

%build
ant \
  -Dbuild.sysclasspath=first \
  -Dmchange-commons-java.jar.file=`build-classpath mchange-commons-java` \
  jar javadoc

sed -i -e "s|@c3p0.version.maven@|%{version}|g" \
  -e "s|@mchange-commons-java.version.maven@|0.2.3.4|g" \
  src/maven/pom.xml

%install
# jar
install -d -m 755 %{buildroot}%{_javadir}
install -p -m 644 build/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

# javadocs
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr build/apidocs/* %{buildroot}%{_javadocdir}/%{name}

# pom
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -p -m 644 src/maven/pom.xml \
  %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap -a "c3p0:c3p0" JPP-%{name}.pom %{name}.jar

%files
%doc src/dist-static/CHANGELOG
%doc src/dist-static/LICENSE*
%doc src/dist-static/RELEASE*
%doc src/doc/index.html
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-*
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc src/dist-static/LICENSE*
%{_javadocdir}/%{name}



%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.9.2.1-2.mga4
+ Revision: 537648
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 0.9.2.1-1.mga4
+ Revision: 487411
- New version

* Fri Jan 11 2013 umeabot <umeabot> 0.9.2-0.5.pre1.3.mga3
+ Revision: 347286
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 0.9.2-0.5.pre1.2.mga3
+ Revision: 293202
- Fix file perms

* Fri Jul 06 2012 dmorgan <dmorgan> 0.9.2-0.5.pre1.1.mga3
+ Revision: 268338
- Added patch for building with JDBC 4.1/Java 7

* Sun Aug 28 2011 dmorgan <dmorgan> 0.9.2-0.5.pre1.1.mga2
+ Revision: 135808
- Add %%mkrel
- Sync with fedora ( allow to build with java6)
- Remove useless macros

  + gil <gil>
    - edit spec file
    - imported package c3p0

